import React from 'react';
import 'react-native-svg';
import { ErrorIcon } from '../assets/svgs/ErrorIcon.js';
import { BaseToast } from './base/BaseToast.js';
import { useToastContext } from '../contexts/toast-context.js';

const ErrorToast = (props) => {
    const { colors } = useToastContext();
    return React.createElement(BaseToast, Object.assign({}, props, { color: colors.error, iconElement: React.createElement(ErrorIcon, null) }));
};

export { ErrorToast };
//# sourceMappingURL=error.js.map
