import React from 'react';
import 'react-native-svg';
import { InfoIcon } from '../assets/svgs/InfoIcon.js';
import { BaseToast } from './base/BaseToast.js';
import { useToastContext } from '../contexts/toast-context.js';

const InfoToast = (props) => {
    const { colors } = useToastContext();
    return React.createElement(BaseToast, Object.assign({}, props, { color: colors.info, iconElement: React.createElement(InfoIcon, null) }));
};

export { InfoToast };
//# sourceMappingURL=info.js.map
