import React from 'react';
import 'react-native-svg';
import { WarningIcon } from '../assets/svgs/WarningIcon.js';
import { BaseToast } from './base/BaseToast.js';
import { useToastContext } from '../contexts/toast-context.js';

const WarningToast = (props) => {
    const { colors } = useToastContext();
    return React.createElement(BaseToast, Object.assign({}, props, { color: colors.warning, iconElement: React.createElement(WarningIcon, null) }));
};

export { WarningToast };
//# sourceMappingURL=warning.js.map
